> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Incoming Instant Payment

> Simulate an incoming instant payment.



## OpenAPI

````yaml POST /v1/simulate/instant_payments/incoming
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v1/simulate/instant_payments/incoming:
    post:
      tags:
        - Simulation
      summary: Simulate Incoming Instant Payment
      description: Simulate an incoming instant payment.
      operationId: simulate-incoming-instant-payment
      parameters:
        - name: Idempotency-Key
          in: header
          description: Idempotency key
          required: true
          schema:
            type: string
            maxLength: 255
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - creditor_account_number_id
                - amount
                - currency_code
                - debtor
                - debtor_agent
              properties:
                creditor_account_number_id:
                  $ref: '#/components/schemas/AccountNumberID'
                  description: >-
                    The ID of the Account Number object receiving the instant
                    payment.
                amount:
                  $ref: '#/components/schemas/InstantPaymentAmount'
                  description: The amount of the instant payment in cents.
                currency_code:
                  $ref: '#/components/schemas/CurrencyCode'
                  description: >-
                    A three-letter currency code as defined in ISO 4217. Only
                    USD is supported.
                description:
                  type: string
                  maxLength: 140
                  description: Free-form information on the reason for the payment.
                  example: Payment for invoice 12345
                debtor:
                  $ref: '#/components/schemas/InstantPaymentParty'
                  description: The details of the debtor (payer) sending the funds.
                debtor_agent:
                  $ref: '#/components/schemas/InstantPaymentAgent'
                  description: >-
                    The details of the financial institution where the debtor
                    (payer) holds their account.
                payment_identifiers:
                  type: object
                  description: Optional payment identifiers.
                  properties:
                    end_to_end_id:
                      type: string
                      description: >-
                        The identifier assigned by the party initiating the
                        instant payment to be delivered to the customer
                        unchanged.
                      maxLength: 35
                      example: E2E-20240101-001
      responses:
        '200':
          description: >-
            Intentionally empty - incoming instant payment will be created
            asynchronously.
        '400':
          description: Your request parameters did not validate.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '422':
          description: We couldn't process your request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    AccountNumberID:
      type: string
      description: The ID of the Lead Bank Account Number object.
      example: account_number_xyz123
      pattern: ^account_number_\w+$
    InstantPaymentAmount:
      description: The amount of the instant payment in cents.
      type: integer
      format: int64
      example: 5000
      minimum: 0
    CurrencyCode:
      description: A three-letter currency code as defined in ISO 4217.
      type: string
      example: USD
      enum:
        - USD
    InstantPaymentParty:
      type: object
      description: Details of a party in an instant payment.
      required:
        - name
        - account_number
      properties:
        name:
          type: string
          description: The party's name.
          minLength: 3
          maxLength: 35
          example: Alex Smith
        account_number:
          type: string
          description: The party's account number.
          minLength: 1
          maxLength: 17
          example: '1234567890'
    InstantPaymentAgent:
      type: object
      description: Details of a financial institution in an instant payment.
      required:
        - routing_number
      properties:
        routing_number:
          type: string
          description: The party's routing number.
          minLength: 9
          maxLength: 9
          pattern: ^[0-9]+$
          example: '111000111'
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````